
 <ejs-dialog id="modalDialog" isModal="true" #modalDialog width= '450px' [animationSettings]='animationSettings' (open)="modalDlgOpen()" (close)="modalDlgClose()" [visible]='false' showCloseIcon='true'>
    <ng-template #content>
        <form id="template_driven" #userForm="ngForm" novalidate>
            <div class="form-group my-3" >
                <div class="e-float-input">
                    <input type="email" id="emailId" #emailIdval='ngModel' name="emailId" 
                    required [(ngModel)]="email" email readonly disabled>
                    <span class="e-float-line"></span>
                    <label class="e-float-text e-label-top" for="emailId">{{i18Labels?.Email}} <span class="required">*</span></label>
                    <div *ngIf="(emailIdval.invalid && (emailIdval.dirty || emailIdval.touched))">
                        <div class="e-error" *ngIf="emailIdval.errors.required">
                            * {{i18Labels?.required_id}}.
                        </div>
                        <div class="e-error" *ngIf="emailIdval.errors.email">
                            * {{i18Labels?.valid_address}}.
                        </div>
                    </div>
                </div>
            </div>

            <div class="form-group my-3">
                <div class="e-float-input">
                    <input type="text" id="firstname" #firstnamevar='ngModel' name="firstname" required [(ngModel)]="firstname">
                    <span class="e-float-line"></span>
                    <label class="e-float-text e-label-top" for="firstname"> {{i18Labels?.first_name}} <span class="required">*</span></label>
                    <div *ngIf="(firstnamevar.invalid && (firstnamevar.dirty || firstnamevar.touched))">
                        <div class="e-error" *ngIf="firstnamevar.errors.required">
                            * {{i18Labels?.First_required}}

                        </div>
                    </div>
                </div>
            </div>

            <div class="form-group my-3">
                <div class="e-float-input">
                    <input type="text" id="lastname" #lastnamevar='ngModel' name="lastname" required [(ngModel)]="lastname">
                    <span class="e-float-line"></span>
                    <label class="e-float-text e-label-top" for="lastname"> {{i18Labels?.last_name}} <span class="required">*</span></label>
                    <div *ngIf="(lastnamevar.invalid && (lastnamevar.dirty || lastnamevar.touched))">
                        <div class="e-error" *ngIf="lastnamevar.errors.required">
                            * {{i18Labels?.Last_required}}
                        </div>
                    </div>
                </div>
            </div>
         

            <div class="row form-group my-3" >
                <div class="cancelBtn offset-md-6 col-md-3">
                    <button class="cancel-btn e-btn" id="cancel-btn" (click)="Closedialog()" type="cancel">{{i18Labels?.cancel}}</button>
                </div>
                <div class="doneBtn col-md-3">
                  <button class="done-btn e-btn" id="done-btn"  [disabled]="userForm.invalid" (click)="editDetails()" type="done">{{i18Labels?.Done}}</button>
              </div>
            </div>
      </form>
    </ng-template>
    <ng-template #header>
        <div class="e-icon-settings dlg-template"> {{i18Labels?.Edit_Details}} </div>
    </ng-template>
</ejs-dialog>

<div class="ml-3 mt-3" id="user_details">
    <div class="row">
        <span class="cursor-pointer mr-2" *ngIf="!type">
            <em class="fa fa-chevron-left" (click)="goToUserList()"></em>
        </span>
        <div class="border shadow-sm rounded">
            
                <div class="row m-3" >
                    <div class="e-avatar e-avatar-xlarge e-avatar e-avatar-circle mr-2">{{_userInfo?.firstname?.charAt(0)}} {{_userInfo?.lastname?.charAt(0)}}</div>
                    <div>
                        <h6 class="text-uppercase"><strong>{{firstName}}&nbsp;{{lastName}}</strong>
                            &nbsp;<span *ngIf="_userInfo?.is_admin" class="badge badge-pill chip">{{i18Labels?.ADMIN}}</span>
                        </h6>
                        <p class="mb-0">
                            <small>{{email}}</small>
                            <br />
                            <small class="text-muted">{{i18Labels?.Member_since}} {{ _userInfo?.created_date | date:'MMM dd, yyyy'}}</small>
                        </p>
                        
                    </div>
                </div>

                
                <div class="border-top"></div>
                <div class="col-sm-6 m-3">
                    <small  ejs-button id='modalbtn' #modalButton (click)="modalBtnClick()">{{i18Labels?.Edit_Details}}</small>
                
            
                    <br/>
                    <small *ngIf="false">{{i18Labels?.Change_Password}}</small>
                </div>
        </div>

        
        
        <!-- <div class="col text-right" *ngIf="!type">
            <button class="btn btn-sm mr-1 ml-1 mt-2 sec-btn" (click)="attachGroup()">{{i18Labels?.Add_to_Group}}</button>
            
        </div> -->
    </div>
</div>
<br/>

<div class="ml-2" >
    <!-- <label>
        <strong *ngIf="type">{{i18Labels?.My_Permissions}}</strong>
        <strong *ngIf="!type">{{i18Labels?.Permissions_of}} {{firstName}}&nbsp;{{lastName}}</strong>
    </label>
        <div class="mt-2 mb-4">
            <ul class="list-group">
            
                <label class="list-group-item border-0" *ngFor="let data of dataSource">{{data.description}}
                    <em class="fa fa-check-circle float-right fa-lg w-25" aria-hidden="true"></em></label>
         
            </ul>
        </div>
    <br/> -->

    <label class="mb-2">
        <strong *ngIf="type">{{i18Labels?.My_Groups}} ({{_userInfo?.usergroupdetail ? _userInfo?.usergroupdetail.length : 0 }})</strong>
        <strong *ngIf="!type">{{i18Labels?.Groups_of}} {{firstName}}&nbsp;{{lastName}} ({{_userInfo?.usergroupdetail ? _userInfo?.usergroupdetail.length : 0 }})</strong>
    </label>
    <ejs-grid #gridelement [dataSource]='_userInfo?.usergroupdetail' [allowSorting]="true" >
        <e-columns>
            <e-column headerText='{{i18Labels?.GROUP_NAME}}' width=100>
                    <ng-template #template let-data>
                        <label  class="blue clickcss" (click)="showGroupDetails(data.usergroup_id)">{{data?.name}}</label>
                        <br/>
                        <label>{{data.description}}</label>

                    </ng-template>
            </e-column>
            <e-column headerText='{{i18Labels?.GROUP_MEMBERS}}' width=100>
                <ng-template #template let-data>
                    {{data?.usercount}}
                </ng-template>

            </e-column>
            <e-column headerText='{{type ? i18Labels?.CREATED_ON : i18Labels?.ACTIONS}}' 
                    width= 40>
                    <ng-template #template let-data>
                        <span *ngIf="type">{{data.created_date  | date: 'MM/dd/yyyy'}}</span> 
                         <span *ngIf="!type" class="cursor-pointer text-primary" (click)="removegrp(data['usergroup_id'], data?.name)">{{i18Labels?.Remove}}</span>

                        
                    </ng-template>
                </e-column>
        </e-columns>
    </ejs-grid>
</div>